| xmonad-contrib-0.9.1: Third party extensions for xmonad | Source code | Contents | Index

XMonad.Util.Font

Portability | unportable
Stability | unstable
Maintainer | andrea.rossato@unibz.it

Contents

Usage:

Description
A module for abstracting a font facility over Core fonts and Xft
Synopsis

data XMonadFont

= Core FontStruct
| Utf8 FontSet
| Xft XftFont

initXMF :: String -> X XMonadFont
releaseXMF :: XMonadFont -> X ()
initCoreFont :: String -> X FontStruct
releaseCoreFont :: FontStruct -> X ()
initUtf8Font :: String -> X FontSet
releaseUtf8Font :: FontSet -> X ()

data Align

= AlignCenter
| AlignRight
| AlignLeft

stringPosition :: (Functor m, MonadIO m) => Display -> XMonadFont -> Rectangle -> Align -> String -> m (Position, Position)
textWidthXMF :: MonadIO m => Display -> XMonadFont -> String -> m Int
textExtentsXMF :: MonadIO m => XMonadFont -> String -> m (Int32, Int32)
printStringXMF :: (Functor m, MonadIO m) => Display -> Drawable -> XMonadFont -> GC -> String -> String -> Position -> Position -> String -> m ()
stringToPixel :: (Functor m, MonadIO m) => Display -> String -> m Pixel
decodeInput :: String -> String
encodeOutput :: String -> String

Usage:
See Xmonad.Layout.Tabbed or XMonad.Prompt for usage examples

data XMonadFont | Source

Constructors

Core FontStruct |
Utf8 FontSet |
Xft XftFont |

initXMF :: String -> X XMonadFont | Source

When initXMF gets a font name that starts with 'xft:' it switches to the Xft backend Example: 'xft: Sans-10'

releaseXMF :: XMonadFont -> X () | Source

initCoreFont :: String -> X FontStruct | Source

Given a fontname returns the font structure. If the font name is not valid the default font will be loaded and returned.

releaseCoreFont :: FontStruct -> X () | Source

initUtf8Font :: String -> X FontSet | Source

releaseUtf8Font :: FontSet -> X () | Source

data Align | Source

String position
Constructors

AlignCenter |
AlignRight |
AlignLeft |

stringPosition :: (Functor m, MonadIO m) => Display -> XMonadFont -> Rectangle -> Align -> String -> m (Position, Position) | Source

Return the string x and y `Position` in a `Rectangle`, given a `FontStruct` and the `Align`ment

textWidthXMF :: MonadIO m => Display -> XMonadFont -> String -> m Int | Source

textExtentsXMF :: MonadIO m => XMonadFont -> String -> m (Int32, Int32) | Source

printStringXMF :: (Functor m, MonadIO m) => Display -> Drawable -> XMonadFont -> GC -> String -> String -> Position -> Position -> String -> m () | Source

stringToPixel :: (Functor m, MonadIO m) => Display -> String -> m Pixel | Source

Get the Pixel value for a named color: if an invalid name is given the black pixel will be returned.

decodeInput :: String -> String | Source

encodeOutput :: String -> String | Source

Produced by Haddock version 2.4.2